Kentaro Nakamura

Jan 182013
 

コンペ選定(授業時に編集したgoogledocsより)

・藤平 木のデザイン

http://www.wakita-museum.com/event/wood_design/entry.html
エントリー締切 2013年3月1日 必着
2013年 3月8日(金)必着
・塩澤 第8回三井住空間デザインコンペ
http://www.japan-architect.co.jp/j-kukan
登録・作品提出締め切り:2013年4月5日(金)必着

・入矢 第八回三井住空間デザイインコンペ
・中村 第八回三井住空間デザインコンペ(塩澤さんと同じ)

・佐々木 SMOKERS’ STYLE COMPETITION 2012
http://www.japan-architect.co.jp/JT/
応募締め切り:2013年2月15日(金)必着

・慶應2013年度スケジュール
http://www.gakuji.keio.ac.jp/schedule/index_13.html
春学期授業開始:4月6日(土)

・アートインコンテナ国際コンペティション
http://www.kobe-biennale.jp/compe/container/index.html

・Street Seats Design Challenge
http://designmuseumboston.org/streetseats/

 

最終決定

【SMOKERS’ STYLE COMPETITION 2012】への参加

 

森アトリエにてコンペ合宿を行う。

日程:13/02/04~13/02/14(14日夜に、コンペ応募案を送付)

合宿前半:コンペ案を練る

合宿後半:提出物を揃える

 

コンペ合宿より前の段階で、松川研メンバー全員でコンペの前調べを行う

 

Oct 282012
 

松川研究会 秋学期第4回

満田さんによるレクチャー

講義の目的

「部材断面が決定されるまでの手順」と「その背景にある理論」を理解し、

各自のプログラムの中に構造的内容を組み込めるようになること。

ゴールイメージ

構造設計とは断面を決めること

基本作業

断面を仮定し、荷重などの条件を決めて計算を実効

→得られた値がOKかNGかをチェック(OKなら終了、NGなら仮定断面を修正)

構造設計は不等式の世界

計算値<許容値

計算値≧必要値

(計算値/許容値<1.0)

(計算値/必要値≧1.0)

プログラムをする以前に必要な知識や理論

構造力学

  • 反力や部材に生じる力を求める
  • 力の大きさを応力度として求める
  • 変形を求める
  • 座屈耐力を求める

法的要因

  • 許容応力度
  • 変形の限度(層間変形角、たわみスパン比)
  • 荷重条件(載積荷重・地震・風・積雪荷重)

講義

学芸出版社「やさしい構造力学」より

  • 4章 反力
  • 5章 部材に生じる力1

授業であつかったその他のトピック

  • 時刻歴応答解析
  • 石上純也の《テーブル》
  • 境界条件のビット表記について
Jun 262012
 

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs

obj = rs.GetObject("反転させるオブジェクトを選択")

if obj:
	start = rs.GetPoint("対称軸の始点を選択")
	end = rs.GetPoint("対称軸の終点を選択")
	
	if start and end:
		rs.MirrorObject( obj, start, end, True )

(作成:中村健太郎)

Jun 262012
 

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs

obj1 = rs.GetObject(message = "select first line")
obj2 = rs.GetObject(message = "select second line")

#obj1 LineLineIntersection()のための引数を準備
startpoint1 = rs.CurveStartPoint(obj1)
endpoint1 = rs.CurveEndPoint(obj1)
line1 = (startpoint1,endpoint1)

#obj2 LineLineIntersection()のための引数を準備
startpoint2 = rs.CurveStartPoint(obj2)
endpoint2 = rs.CurveEndPoint(obj2)
line2 = (startpoint2,endpoint2)

#交点をもとめる
points = rs.LineLineIntersection(line1,line2)

#交点が線分上にあるかどうかの判定 各ポイントのX座標を比較して判定する
a = int(startpoint1[0])
b = int(points[0][0])
c = int(endpoint1[0])
if a<b & b<c:
	pt = rs.AddPoint(points[0])
	#点の色を赤にする
	rs.ObjectColor(pt,color = [255,0,0])
elif a>b & b>c:
	pt = rs.AddPoint(points[0])
	#点の色を赤にする
	rs.ObjectColor(pt,color = [255,0,0])
else:
	print "線分上に交点がありません"

(作成:中村健太郎)

Jun 262012
 

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs

obj1 = rs.GetObject(message = "select first line")
obj2 = rs.GetObject(message = "select second line")

#obj1 LineLineIntersection()のための引数を準備
startpoint1 = rs.CurveStartPoint(obj1)
endpoint1 = rs.CurveEndPoint(obj1)
line1 = (startpoint1,endpoint1)

#obj2 LineLineIntersection()のための引数を準備
startpoint2 = rs.CurveStartPoint(obj2)
endpoint2 = rs.CurveEndPoint(obj2)
line2 = (startpoint2,endpoint2)

#交点をもとめる
points = rs.LineLineIntersection(line1,line2)
pt = rs.AddPoint(points[0])
#点の色を赤にする
rs.ObjectColor(pt,color = [255,0,0])

(作成:中村健太郎)